Bug 1006842 - Traceback on booting of rhevh
Traceback on booting of rhevh
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm (Show other bugs)
3.3.0
Unspecified Unspecified
urgent Severity urgent
: ---
: 3.3.0
Assigned To: Douglas Schilling Landgraf
Tareq Alayan
infra
:
: 1007362 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-11 07:18 EDT by Artyom
Modified: 2016-02-10 14:10 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
--no tech note required
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 11:15:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
boot log (5.08 KB, text/x-log)
2013-09-11 07:18 EDT, Artyom
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 19197 None None None Never

  None (edit)
Description Artyom 2013-09-11 07:18:43 EDT
Created attachment 796345 [details]
boot log

Description of problem:
Traceback on booting of rhevh:
Traceback (most recent call last):
  File "/usr/bin/vdsm-tool", line 143, in <module>
    sys.exit(main())
  File "/usr/bin/vdsm-tool", line 140, in main
    return tool_command[cmd]["command"](*args[1:])
  File "/usr/lib64/python2.6/site-packages/vdsm/tool/service.py", line 405, in service_disable
  File "/usr/lib64/python2.6/site-packages/vdsm/tool/service.py", line 353, in _runAlts
service.ServiceNotExistError: ServiceNotExistError: Tried all alternatives but failed:
ServiceNotExistError: libvirt-guests is not a SysV service
ServiceNotExistError: libvirt-guests is not an Upstart service
checking certs..


Version-Release number of selected component (if applicable):
rhev-hypervisor6-6.5-20130910.2.el6ev

How reproducible:
Always

Steps to Reproduce:
1. Install rhevh rhev-hypervisor6-6.5-20130910.2.el6ev
2. Boot host
3.

Actual results:
Traceback appear

Expected results:
No traceback

Additional info:
Comment 1 Mike Burns 2013-09-11 07:33:36 EDT
libvirt-guests is blacklisted from the RHEV-H image.  In order to fix this, we need to do one of the following:

1.  don't blacklist the service, but let vdsm disable it (bz moves to RHEL 6 ovirt-node)
2.  have the vdsm plugin package essentially hack the script so that it removes libvirt-guests from the conflicting services (move to ovirt-node-plugin-vdsm component in RHEV)
3.  have vdsm not throw a stack trace if a service does not exist (move to vdsm component in RHEV)

#1 is easy, but seems like an odd way to approach this (add service just so we can blacklist it)

#2 is slightly more difficult but doable.  It is very hackish, though, and could be susceptible to breaking in the future due to the way we would have to do this.   It would likely be a sed script to parse specific files to remove references to libvirt-guests

#3 seems like the *right* solution to me.  It protects us in the future in the case that services get removed or are not included automatically.
Comment 2 Douglas Schilling Landgraf 2013-09-11 09:07:05 EDT
(In reply to Mike Burns from comment #1)
> libvirt-guests is blacklisted from the RHEV-H image.  In order to fix this,
> we need to do one of the following:
> 
> 1.  don't blacklist the service, but let vdsm disable it (bz moves to RHEL 6
> ovirt-node)
> 2.  have the vdsm plugin package essentially hack the script so that it
> removes libvirt-guests from the conflicting services (move to
> ovirt-node-plugin-vdsm component in RHEV)
> 3.  have vdsm not throw a stack trace if a service does not exist (move to
> vdsm component in RHEV)
> 
> #1 is easy, but seems like an odd way to approach this (add service just so
> we can blacklist it)
> 
> #2 is slightly more difficult but doable.  It is very hackish, though, and
> could be susceptible to breaking in the future due to the way we would have
> to do this.   It would likely be a sed script to parse specific files to
> remove references to libvirt-guests
> 
> #3 seems like the *right* solution to me.  It protects us in the future in
> the case that services get removed or are not included automatically.

The #3 looks good to me. Federico any other suggestion?
Comment 3 Mike Burns 2013-09-11 10:56:33 EDT
moving to vdsm, please move if we decide on a different approach.
Comment 4 Federico Simoncelli 2013-09-11 12:39:40 EDT
(In reply to Douglas Schilling Landgraf from comment #2)
> (In reply to Mike Burns from comment #1)
> > libvirt-guests is blacklisted from the RHEV-H image.  In order to fix this,
> > we need to do one of the following:
> > 
> > 3.  have vdsm not throw a stack trace if a service does not exist (move to
> > vdsm component in RHEV)
> > 
> > #3 seems like the *right* solution to me.  It protects us in the future in
> > the case that services get removed or are not included automatically.
> 
> The #3 looks good to me. Federico any other suggestion?

#3 looks good.
Comment 5 Douglas Schilling Landgraf 2013-09-12 00:16:34 EDT
Discussed with Zhou Zheng Sheng about the upstream code and this report won't affect it. A solution can be the downstream patch only as follow (verified).

# diff -ruN /etc/init.d/vdsmd.orig /etc/init.d/vdsmd
--- /etc/init.d/vdsmd.orig	2013-09-12 03:58:41.167749683 +0000
+++ /etc/init.d/vdsmd	2013-09-12 03:58:58.089652417 +0000
@@ -85,6 +85,7 @@
     local srv
 
     for srv in ${CONFLICTING_SERVICES}; do
+        "$VDSM_TOOL" service-is-managed "$srv" >/dev/null 2>&1 || continue
         "$VDSM_TOOL" service-disable "$srv"
         if "$VDSM_TOOL" service-status "$srv" > /dev/null 2>&1; then
             if [ "$srv" = "libvirt-guests" ]; then
Comment 6 Yaniv Bronhaim 2013-09-12 01:55:08 EDT
Agree to this solution (only for conflicting services part). Keep in mind that the code is different in master branch, should be fixed also there
Comment 8 Moti Asayag 2013-09-16 08:06:44 EDT
*** Bug 1007362 has been marked as a duplicate of this bug. ***
Comment 9 Eyal Edri 2013-09-17 12:51:48 EDT
fixed in is15 - version rhev-hypervisor6-6.5-20130917.0.el6ev.noarch.rpm
Comment 10 Tareq Alayan 2013-10-17 04:17:48 EDT
verified
RHEV Hypervisor - 6.5 - 20131011.0.el6
Comment 11 Charlie 2013-11-27 19:32:48 EST
This bug is currently attached to errata RHBA-2013:15291. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to 
minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.
* Consequence: What happens when the bug presents.
* Fix: What was done to fix the bug.
* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:

https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes 

Thanks in advance.
Comment 12 errata-xmlrpc 2014-01-21 11:15:43 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-0040.html

Note You need to log in before you can comment on or make changes to this bug.